import scrapy
from douban.items import DoubanItem

class DoubanmovieSpider(scrapy.Spider):
    name = 'doubanmovie'
    allowed_domains = ['douban.com']
    start_urls = ['https://movie.douban.com/top250']

    def parse(self, response):
        # print(response.text)
        #电影
        names = response.xpath('//div[@class="hd"]//span[@class="title"][1]/text()').extract()
        #评分
        stars = response.xpath('//div[@class="star"]/span[@class="rating_num"][1]/text()').extract()
        #各电影链接
        hrefs = response.xpath('//div[@class="hd"]/a/@href').extract()

        item = DoubanItem()
        for name, star,url in zip(names, stars,hrefs):
            item['name'] = name
            item['star'] = star
            item['url'] = url
            # print(item)
            yield scrapy.Request(url,callback = self.parse_info,meta = {'item':item})

    def parse_info(self,response):
        item =  response.meta['item']
        data = response.xpath('string(//div[@class="indent"]/span[1])').extract_first().strip().replace("                                　　","\n")
        item['content'] = data
        # print(item)
        yield item